# azure.mgmt.keyvault.models module

class `azure.mgmt.keyvault.models.``Sku`(name)

  Bases: `msrest.serialization.Model`

  SKU details.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables: | family (str) – SKU family name. Default value: “A” .
  Parameters: | name (str or `SkuName`) – SKU name to specify whether the key vault is a standard vault or a premium vault. Possible values include: ‘standard’, ‘premium’

  `family` = 'A'

class `azure.mgmt.keyvault.models.``AccessPolicyEntry`(tenant_id, object_id, permissions, application_id=None)

  Bases: `msrest.serialization.Model`

  An array of 0 to 16 identities that have access to the key vault. All identities in the array must use the same tenant ID as the key vault’s tenant ID.

  Parameters:

  - tenant_id (str) – The Azure Active Directory tenant ID that should be used for authenticating requests to the key vault.
  - object_id (str) – The object ID of a user or service principal in the Azure Active Directory tenant for the vault. The object ID must be unique for the list of access policies.
  - application_id (str) – Application ID of the client making request on behalf of a principal
  - permissions (`Permissions`) – Permissions the identity has for keys and secrets

class `azure.mgmt.keyvault.models.``Permissions`(keys=None, secrets=None)

  Bases: `msrest.serialization.Model`

  Permissions the identity has for keys and secrets.

  Parameters:

  - keys (list of str or `KeyPermissions`) – Permissions to keys
  - secrets (list of str or `SecretPermissions`) – Permissions to secrets

class `azure.mgmt.keyvault.models.``VaultProperties`(tenant_id, sku, access_policies, vault_uri=None, enabled_for_deployment=None, enabled_for_disk_encryption=None, enabled_for_template_deployment=None)

  Bases: `msrest.serialization.Model`

  Properties of the vault.

  Parameters:

  - vault_uri (str) – The URI of the vault for performing operations on keys and secrets.
  - tenant_id (str) – The Azure Active Directory tenant ID that should be used for authenticating requests to the key vault.
  - sku (`Sku`) – SKU details
  - access_policies (list of `AccessPolicyEntry`) – An array of 0 to 16 identities that have access to the key vault. All identities in the array must use the same tenant ID as the key vault’s tenant ID.
  - enabled_for_deployment (bool) – Property to specify whether Azure Virtual Machines are permitted to retrieve certificates stored as secrets from the key vault.
  - enabled_for_disk_encryption (bool) – Property to specify whether Azure Disk Encryption is permitted to retrieve secrets from the vault and unwrap keys.
  - enabled_for_template_deployment (bool) – Property to specify whether Azure Resource Manager is permitted to retrieve secrets from the key vault.

class `azure.mgmt.keyvault.models.``VaultCreateOrUpdateParameters`(location, properties, tags=None)

  Bases: `msrest.serialization.Model`

  Parameters for creating or updating a vault.

  Parameters:

  - location (str) – The supported Azure location where the key vault should be created.
  - tags (dict) – The tags that will be assigned to the key vault.
  - properties (`VaultProperties`) – Properties of the vault

class `azure.mgmt.keyvault.models.``Vault`(name, location, properties, tags=None)

  Bases: `azure.mgmt.keyvault.models.resource.Resource`

  Resource information with extended details.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – The Azure Resource Manager resource ID for the key vault.
  - type (str) – The resource type of the key vault.

  Parameters:

  - name (str) – The name of the key vault.
  - location (str) – The supported Azure location where the key vault should be created.
  - tags (dict) – The tags that will be assigned to the key vault.
  - properties (`VaultProperties`) – Properties of the vault

class `azure.mgmt.keyvault.models.``Resource`(name, location, tags=None)

  Bases: `msrest.serialization.Model`

  Key Vault resource.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – The Azure Resource Manager resource ID for the key vault.
  - type (str) – The resource type of the key vault.

  Parameters:

  - name (str) – The name of the key vault.
  - location (str) – The supported Azure location where the key vault should be created.
  - tags (dict) – The tags that will be assigned to the key vault.

class `azure.mgmt.keyvault.models.``VaultPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of Vault object

class `azure.mgmt.keyvault.models.``SkuName`

  Bases: `enum.Enum`

  `premium` = 'premium'
  `standard` = 'standard'

class `azure.mgmt.keyvault.models.``KeyPermissions`

  Bases: `enum.Enum`

  `all` = 'all'
  `backup` = 'backup'
  `create` = 'create'
  `decrypt` = 'decrypt'
  `delete` = 'delete'
  `encrypt` = 'encrypt'
  `get` = 'get'
  `import_enum` = 'import'
  `list` = 'list'
  `restore` = 'restore'
  `sign` = 'sign'
  `unwrapkey` = 'unwrapkey'
  `update` = 'update'
  `verify` = 'verify'
  `wrapkey` = 'wrapkey'

class `azure.mgmt.keyvault.models.``SecretPermissions`

  Bases: `enum.Enum`

  `all` = 'all'
  `delete` = 'delete'
  `get` = 'get'
  `list` = 'list'
  `set` = 'set'